### Method

# Gtk TextBuffer create_mark

#### Declaration [src]

    GtkTextMark*
    gtk_text_buffer_create_mark (
      GtkTextBuffer* buffer,
      const char* mark_name,
      const GtkTextIter* where,
      gboolean left_gravity
    )

#### Description [src]

Creates a mark at position `where`.

If `mark_name` is `NULL`, the mark is anonymous; otherwise, the mark can be retrieved by name using `gtk_text_buffer_get_mark()`. If a mark has left gravity, and text is inserted at the mark’s current location, the mark will be moved to the left of the newly-inserted text. If the mark has right gravity (`left_gravity` = `FALSE`), the mark will end up on the right of newly-inserted text. The standard left-to-right cursor is a mark with right gravity (when you type, the cursor stays on the right side of the text you’re typing).

The caller of this function does not own a reference to the returned `GtkTextMark`, so you can ignore the return value if you like. Marks are owned by the buffer and go away when the buffer does.

Emits the `GtkTextBuffer::mark-set` signal as notification of the mark’s initial placement.

#### Parameters

`mark_name`

  Type: `const char*`

  Name for mark.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`where`

  Type: `GtkTextIter`

  Location to place mark.

  The data is owned by the caller of the method.

`left_gravity`

  Type: `gboolean`

  Whether the mark has left gravity.

#### Return value

Type: `GtkTextMark`

The new `GtkTextMark` object.

The data is owned by the instance.